From c444ac978013a9e199c968fefc3c413f37c93351 Mon Sep 17 00:00:00 2001
From: Joakim Antman <antmanj@gmail.com>
Date: Wed, 23 Jun 2021 10:55:29 +0300
Subject: [PATCH] Fix OpenSSL::PKey::EC public_key handing in tests

---
 spec/jwk/ec_spec.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/spec/jwk/ec_spec.rb b/spec/jwk/ec_spec.rb
index 3a94976..d8258bb 100644
--- a/spec/jwk/ec_spec.rb
+++ b/spec/jwk/ec_spec.rb
@@ -15,7 +15,7 @@
     end
 
     context 'when a keypair with only public key is given' do
-      let(:keypair) { ec_key.tap { |x| x.private_key = nil } }
+      let(:keypair) { OpenSSL::PKey::EC.new(ec_key.public_key.group).tap { |ec| ec.public_key = ec_key.public_key } }
       it 'creates an instance of the class' do
         expect(subject).to be_a described_class
         expect(subject.private?).to eq false
